<template>
  <v-row class="pt-2" dense>
    <v-col cols="lg-3">
      <client-group />
    </v-col>
    <v-col cols="lg-9">
      <client-datatable
        v-if="!show"
        @create-client="createClient"
        @edit-client="editClient($event)"
      />
      <client-form v-if="create" @close-form="close" />
      <edit-client-form v-if="edit" @close-form="close" :client-id="clientId" />
    </v-col>
  </v-row>
</template>
<script lang="ts">
import Vue from 'vue'
import { Component } from 'vue-property-decorator'
import eventBus from '../../../plugins/event-bus'
import ClientGroup from '../Components/Group/ClientGroup.vue'
import ClientDatatable from '../Components/ClientDatatable.vue'
import ClientForm from '../Components/ClientForm.vue'
import EditClientForm from '../Components/EditClientForm.vue'

@Component({
  components: { ClientGroup, ClientDatatable, ClientForm, EditClientForm },
})
export default class ClientView extends Vue {
  show = false
  create = false
  edit = false
  clientId: any = null

  mounted() {
    eventBus.$on('close', () => (this.show = false))
  }
  close() {
    this.show = false
    this.create = false
    this.edit = false
    eventBus.$emit('clear-inputs')
  }
  createClient() {
    this.create = true
    this.show = true
  }
  editClient(id) {
    this.edit = true
    this.show = true
    this.create = false
    this.clientId = id
  }
}
</script>
